#include <iostream>
#include <vector>
#include <iomanip>
#include <algorithm>
using namespace std;

int main()
{
    cout << setprecision(4) << fixed;
    int n;
    long double p,paremaks=0,paret=0;
    cin >> n;
    vector<pair<long double,long double> > Frilenseri(n);
    for(int i=0;i<n;i++){
        cin >> Frilenseri[i].second;
        cin >> Frilenseri[i].first;
        Frilenseri[i].first/=100;

    }
    sort(Frilenseri.begin(),Frilenseri.end());
    for(int j=0;j<n;j++){
        p=Frilenseri[j].first;
        paret=0;
        for(int i=j;i<n;i++){
            if(Frilenseri[i].first>=p){
                paret+=Frilenseri[i].second*p;
            }
        }
        if(paret>paremaks){
            paremaks=paret;
        }
    }
    cout << paremaks << endl;
    return 0;
}